Block Search
GET
Searches for blocks matching the query conditions.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Query Parameters
querystringrequired
Block search query string.pagestring
Page number (starting from 1).per_pagestring
Number of items to return per page (maximum 100).order_bystring
Sort order. "asc" or "desc". Defaults to the default sort order if omitted.Responses
jsonrpcstringrequired
idintegerrequired
hashstring
totalinteger
hashstring
blockstring
appstring
chain_idstring
heightstring
timestring
hashstring
totalinteger
hashstring
last_commit_hashstring
data_hashstring
validators_hashstring
next_validators_hashstring
consensus_hashstring
app_hashstring
last_results_hashstring
evidence_hashstring
proposer_addressstring
dataarray
evidencearray
heightinteger
roundinteger
hashstring
totalinteger
hashstring
typeinteger
heightstring
roundinteger
timestampstring
validator_addressstring
validator_indexinteger
signaturestring
total_countintegerrequired
cURL
curl -X GET 'https://rpc-cronospos-mainnet.nodit.io/block_search?query=block.height%20%3E%201000&page=1&per_page=30&order_by=desc' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'